// Important: Don't use DISTINCT keyword, since this will collapse cases where the same gene has the same tag twice within the sequence at different positions.

[LINKAGE_TO]
// ******* UNIGENE QUERIES (These are EST TagLinks and therefore require a second query to find the total number of Tags ***********
// SAGEGenie queries does not supply antisense data.
HSUNIGENE_GENIE  SELECT DISTINCT AK_SAGEGENIE__DATA__$HSUNIGENE__UNIGENE_CLUSTER AS FIELD_ACCESSION, 1 AS FIELD_POSITION FROM sage.SAGEGENIE__DATA__$BEST_TAG WHERE tag='@FIELD_SEQUENCE@' ORDER BY FIELD_ACCESSION ASC

// this first query gets the cluster names and the count of ests which are mapped to the sequence
LINK_HSUNIGENE*  SELECT HSUNIGENE__DATA__LINKAGES$HSUNIGENE_CLUSTER.FKDest__value, CK$antisense_$BOOLEAN__id AS FIELD_ANTISENSE, COUNT(*) AS FIELD_ESTS, 1 AS FIELD_POSITION FROM HSUNIGENE__DATA__LINKAGES$HSUNIGENE_CLUSTER, HSUNIGENE__DATA, sage.HSUNIGENE__TAGS_LONG WHERE HSUNIGENE__DATA__LINKAGES$HSUNIGENE_CLUSTER.FKSrc__value=HSUNIGENE__DATA.id AND HSUNIGENE__TAGS_LONG.key_value=HSUNIGENE__DATA.id AND position=1 AND CK$rc_$BOOLEAN__id != 1 AND HSUNIGENE__TAGS_LONG.sequence='@FIELD_SEQUENCE@' AND ( HSUNIGENE__DATA.CK$end_$CLONEEND__id=3 OR HSUNIGENE__DATA.CK$end_$CLONEEND__id=8 ) GROUP BY HSUNIGENE__DATA__LINKAGES$HSUNIGENE_CLUSTER.FKDest__value, FIELD_ANTISENSE
// this second query gets the total number of ests in the cluster (using values from the HSUNIGENE target object)
// HSUNIGENE		SELECT COUNT(*) AS FIELD_TOTAL_ESTS FROM HSUNIGENE__DATA, HSUNIGENE__DATA__LINKAGES$HSUNIGENE_CLUSTER WHERE HSUNIGENE__DATA__LINKAGES$HSUNIGENE_CLUSTER.FKSrc__value=HSUNIGENE__DATA.id AND (HSUNIGENE__DATA.CK$end_$CLONEEND__id=3 OR HSUNIGENE__DATA.CK$end_$CLONEEND__id=8) AND HSUNIGENE__DATA__LINKAGES$HSUNIGENE_CLUSTER.FKDest__value='@FIELD_ACCESSION@'

// this first query gets the cluster names and the count of ests which are mapped to the sequence
LINK_MMUNIGENE*  SELECT MMUNIGENE__DATA__LINKAGES$MMUNIGENE_CLUSTER.FKDest__value, CK$antisense_$BOOLEAN__id AS FIELD_ANTISENSE, COUNT(*) AS FIELD_ESTS, 1 AS FIELD_POSITION FROM MMUNIGENE__DATA__LINKAGES$MMUNIGENE_CLUSTER, MMUNIGENE__DATA, sage.MMUNIGENE__TAGS_LONG WHERE MMUNIGENE__DATA__LINKAGES$MMUNIGENE_CLUSTER.FKSrc__value=MMUNIGENE__DATA.id AND MMUNIGENE__TAGS_LONG.key_value=MMUNIGENE__DATA.id AND position=1 AND CK$rc_$BOOLEAN__id != 1 AND MMUNIGENE__TAGS_LONG.sequence='@FIELD_SEQUENCE@' AND ( MMUNIGENE__DATA.CK$end_$CLONEEND__id=3 OR MMUNIGENE__DATA.CK$end_$CLONEEND__id=8 ) GROUP BY MMUNIGENE__DATA__LINKAGES$MMUNIGENE_CLUSTER.FKDest__value, FIELD_ANTISENSE

// ENSEMBL does not supply antisense or reverse compliment data
LINK_ENSEMBL_ESTGENE*:ENSEMBL_HUMAN_ESTGENE       SELECT CONCAT('ENSEST',LPAD(transcript_id,11,'0')), position AS FIELD_POSITION, 2 AS FIELD_ANTISENSE FROM sage.ENSEMBL_HUMAN_ESTGENES__TAGS_LONG WHERE sequence="@FIELD_SEQUENCE@" ORDER BY position
LINK_ENSEMBL_ESTGENE*:ENSEMBL_MOUSE_ESTGENE       SELECT CONCAT('ENSMUSEST',LPAD(transcript_id,11,'0')), position AS FIELD_POSITION, 2 AS FIELD_ANTISENSE FROM sage.ENSEMBL_MOUSE_ESTGENES__TAGS_LONG WHERE sequence="@FIELD_SEQUENCE@" ORDER BY position
LINK_ENSEMBL_TRANSCRIPT*:ENSEMBL_HUMAN_TRANSCRIPT SELECT CONCAT('ENST',LPAD(transcript_id,11,'0')), position AS FIELD_POSITION, 2 AS FIELD_ANTISENSE FROM sage.ENSEMBL_HUMAN_TRANS__TAGS_LONG WHERE sequence="@FIELD_SEQUENCE@" ORDER BY position
LINK_ENSEMBL_TRANSCRIPT*:ENSEMBL_MOUSE_TRANSCRIPT SELECT CONCAT('ENSMUST',LPAD(transcript_id,11,'0')), position AS FIELD_POSITION, 2 AS FIELD_ANTISENSE FROM sage.ENSEMBL_MOUSE_TRANS__TAGS_LONG WHERE sequence="@FIELD_SEQUENCE@" ORDER BY position

// REFSEQ Queries
LINK_REFSEQ*:HUMAN_REFSEQ     SELECT key_value, position AS FIELD_POSITION, CK$antisense_$BOOLEAN__id AS FIELD_ANTISENSE FROM sage.HUMAN_REFSEQ__TAGS_LONG WHERE sequence='@FIELD_SEQUENCE@' AND CK$rc_$BOOLEAN__id != 1 ORDER BY position
LINK_REFSEQ*:FLY_REFSEQ       SELECT key_value, position AS FIELD_POSITION, CK$antisense_$BOOLEAN__id AS FIELD_ANTISENSE FROM sage.FLY_REFSEQ__TAGS_LONG WHERE sequence='@FIELD_SEQUENCE@' AND CK$rc_$BOOLEAN__id != 1 ORDER BY position
LINK_REFSEQ*:MOUSE_REFSEQ     SELECT key_value, position AS FIELD_POSITION, CK$antisense_$BOOLEAN__id AS FIELD_ANTISENSE FROM sage.MOUSE_REFSEQ__TAGS_LONG WHERE sequence='@FIELD_SEQUENCE@' AND CK$rc_$BOOLEAN__id != 1 ORDER BY position
LINK_REFSEQ*:RAT_REFSEQ       SELECT key_value, position AS FIELD_POSITION, CK$antisense_$BOOLEAN__id AS FIELD_ANTISENSE FROM sage.RAT_REFSEQ__TAGS_LONG WHERE sequence='@FIELD_SEQUENCE@' AND CK$rc_$BOOLEAN__id != 1 ORDER BY position
LINK_REFSEQ*:ZEBRAFISH_REFSEQ SELECT key_value, position AS FIELD_POSITION, CK$antisense_$BOOLEAN__id AS FIELD_ANTISENSE FROM sage.ZEBRAFISH_REFSEQ__TAGS_LONG WHERE sequence='@FIELD_SEQUENCE@' AND CK$rc_$BOOLEAN__id != 1 ORDER BY position

// MGC Queries
LINK_MGC*:HUMANMGC SELECT key_value, position AS FIELD_POSITION, CK$antisense_$BOOLEAN__id AS FIELD_ANTISENSE FROM sage.HUMAN_MGC__TAGS__LONG WHERE sequence='@FIELD_SEQUENCE@' AND CK$rc_$BOOLEAN__id != 1 ORDER BY position
LINK_MGC*:MOUSEMGC SELECT key_value, position AS FIELD_POSITION, CK$antisense_$BOOLEAN__id AS FIELD_ANTISENSE FROM sage.MOUSE_MGC__TAGS__LONG WHERE sequence='@FIELD_SEQUENCE@' AND CK$rc_$BOOLEAN__id != 1 ORDER BY position

// WORMPEP Queries
LINK_WORMPEP*  SELECT key_value, position AS FIELD_POSITION, CK$antisense_$BOOLEAN__id AS FIELD_ANTISENSE FROM sage.WORMPEP__TAGS_LONG, WORMPEP__DATA__$CDS WHERE WORMPEP__TAGS_LONG.key_value=WORMPEP__DATA__$CDS.AK_WORMPEP__DATA__id AND CK$rc_$BOOLEAN__id != 1 AND sequence='@FIELD_SEQUENCE@' ORDER BY position

// GADFLY Queries
LINK_GADFLY* SELECT key_value, position AS FIELD_POSITION, CK$antisense_$BOOLEAN__id AS FIELD_ANTISENSE FROM sage.GADFLY_EVIDENCE__TAGS WHERE CK$rc_$BOOLEAN__id != 1 AND sequence='@FIELD_SEQUENCE@' ORDER BY position

// CELEGANS Queries
LINK_CELEGANS* SELECT key_value, position AS FIELD_POSITION, CK$antisense_$BOOLEAN__id AS FIELD_ANTISENSE FROM sage.CELEGANSPREDTRANSEG__TAGS__LONG WHERE CK$rc_$BOOLEAN__id != 1 AND sequence='@FIELD_SEQUENCE@' ORDER BY position

[LINKAGE_FROM]

LINK_HSUNIGENE*   SELECT HSUNIGENE__TAGS_LONG.sequence, HSUNIGENE__TAGS_LONG.CK$antisense_$BOOLEAN__id AS FIELD_ANTISENSE, COUNT(*) AS FIELD_ESTS, 1 AS FIELD_POSITION FROM sage.HSUNIGENE__TAGS_LONG, HSUNIGENE__DATA__LINKAGES$HSUNIGENE_CLUSTER, HSUNIGENE__DATA WHERE HSUNIGENE__DATA__LINKAGES$HSUNIGENE_CLUSTER.FKSrc__value=HSUNIGENE__TAGS_LONG.key_value AND HSUNIGENE__DATA.id=HSUNIGENE__TAGS_LONG.key_value AND FKDest__value='@FIELD_ACCESSION@' AND ( CK$end_$CLONEEND__id=3 OR CK$end_$CLONEEND__id=8) AND position=1 AND CK$rc_$BOOLEAN__id != 1 GROUP BY HSUNIGENE__TAGS_LONG.sequence, FIELD_ANTISENSE
LINK_MMUNIGENE*   SELECT MMUNIGENE__TAGS_LONG.sequence, MMUNIGENE__TAGS_LONG.CK$antisense_$BOOLEAN__id AS FIELD_ANTISENSE, COUNT(*) AS FIELD_ESTS, 1 AS FIELD_POSITION FROM sage.MMUNIGENE__TAGS_LONG, MMUNIGENE__DATA__LINKAGES$MMUNIGENE_CLUSTER, MMUNIGENE__DATA WHERE MMUNIGENE__DATA__LINKAGES$MMUNIGENE_CLUSTER.FKSrc__value=MMUNIGENE__TAGS_LONG.key_value AND MMUNIGENE__DATA.id=MMUNIGENE__TAGS_LONG.key_value AND FKDest__value='@FIELD_ACCESSION@' AND (CK$end_$CLONEEND__id=3 OR CK$end_$CLONEEND__id=8) AND position=1 AND CK$rc_$BOOLEAN__id != 1 GROUP BY MMUNIGENE__TAGS_LONG.sequence, FIELD_ANTISENSE

// ENSEMBL does not supply antisense or reverse compliment data
LINK_ENSEMBL_ESTGENE*:ENSEMBL_HUMAN_ESTGENE       SELECT sequence, position AS FIELD_POSITION, 2 AS FIELD_ANTISENSE FROM sage.ENSEMBL_HUMAN_ESTGENES__TAGS_LONG WHERE CONCAT('ENSEST',LPAD(transcript_id,11,'0'))="@FIELD_ACCESSION@" ORDER BY position
LINK_ENSEMBL_ESTGENE*:ENSEMBL_MOUSE_ESTGENE       SELECT sequence, position AS FIELD_POSITION, 2 AS FIELD_ANTISENSE FROM sage.ENSEMBL_MOUSE_ESTGENES__TAGS_LONG WHERE CONCAT('ENSMUSEST',LPAD(transcript_id,11,'0'))="@FIELD_ACCESSION@" ORDER BY position
LINK_ENSEMBL_TRANSCRIPT*:ENSEMBL_HUMAN_TRANSCRIPT SELECT sequence, position AS FIELD_POSITION, 2 AS FIELD_ANTISENSE FROM sage.ENSEMBL_HUMAN_TRANS__TAGS_LONG WHERE CONCAT('ENST',LPAD(transcript_id,11,'0'))="@FIELD_ACCESSION@" ORDER BY position
LINK_ENSEMBL_TRANSCRIPT*:ENSEMBL_MOUSE_TRANSCRIPT SELECT sequence, position AS FIELD_POSITION, 2 AS FIELD_ANTISENSE FROM sage.ENSEMBL_MOUSE_TRANS__TAGS_LONG WHERE CONCAT('ENSMUST',LPAD(transcript_id,11,'0'))="@FIELD_ACCESSION@" ORDER BY position

// REFSEQ Queries
LINK_REFSEQ*:HUMAN_REFSEQ       SELECT sequence, position AS FIELD_POSITION, CK$antisense_$BOOLEAN__id AS FIELD_ANTISENSE FROM sage.HUMAN_REFSEQ__TAGS_LONG WHERE key_value='@FIELD_ACCESSION@' AND CK$rc_$BOOLEAN__id != 1 ORDER BY position
LINK_REFSEQ*:FLY_REFSEQ         SELECT sequence, position AS FIELD_POSITION, CK$antisense_$BOOLEAN__id AS FIELD_ANTISENSE FROM sage.FLY_REFSEQ__TAGS_LONG WHERE key_value='@FIELD_ACCESSION@' AND CK$rc_$BOOLEAN__id != 1 ORDER BY position
LINK_REFSEQ*:MOUSE_REFSEQ       SELECT sequence, position AS FIELD_POSITION, CK$antisense_$BOOLEAN__id AS FIELD_ANTISENSE FROM sage.MOUSE_REFSEQ__TAGS_LONG WHERE key_value='@FIELD_ACCESSION@' AND CK$rc_$BOOLEAN__id != 1 ORDER BY position
LINK_REFSEQ*:RAT_REFSEQ         SELECT sequence, position AS FIELD_POSITION, CK$antisense_$BOOLEAN__id AS FIELD_ANTISENSE FROM sage.RAT_REFSEQ__TAGS_LONG WHERE key_value='@FIELD_ACCESSION@' AND CK$rc_$BOOLEAN__id != 1 ORDER BY position
LINK_REFSEQ*:ZEBRAFISH_REFSEQ   SELECT sequence, position AS FIELD_POSITION, CK$antisense_$BOOLEAN__id AS FIELD_ANTISENSE FROM sage.ZEBRAFISH_REFSEQ__TAGS_LONG WHERE key_value='@FIELD_ACCESSION@' AND CK$rc_$BOOLEAN__id != 1 ORDER BY position

// MGC Queries
LINK_MGC*:HUMANMGC  SELECT sequence, position AS FIELD_POSITION, CK$antisense_$BOOLEAN__id AS FIELD_ANTISENSE FROM sage.HUMAN_MGC__TAGS__LONG WHERE key_value='@FIELD_ACCESSION@' AND CK$rc_$BOOLEAN__id != 1 ORDER BY position
LINK_MGC*:MOUSEMGC  SELECT sequence, position AS FIELD_POSITION, CK$antisense_$BOOLEAN__id AS FIELD_ANTISENSE FROM sage.MOUSE_MGC__TAGS__LONG WHERE key_value='@FIELD_ACCESSION@' AND CK$rc_$BOOLEAN__id != 1 ORDER BY position

// WORMPEP Queries
LINK_WORMPEP*	SELECT sequence, position AS FIELD_POSITION, CK$antisense_$BOOLEAN__id AS FIELD_ANTISENSE FROM sage.WORMPEP__TAGS_LONG, WORMPEP__DATA__$CDS WHERE WORMPEP__TAGS_LONG.key_value=WORMPEP__DATA__$CDS.AK_WORMPEP__DATA__id AND CK$rc_$BOOLEAN__id != 1 AND AK_WORMPEP__DATA__id='@FIELD_ACCESSION@' ORDER BY position

// GADFLY Queries
LINK_GADFLY* SELECT sequence, position AS FIELD_POSITION, CK$antisense_$BOOLEAN__id AS FIELD_ANTISENSE FROM sage.GADFLY_EVIDENCE__TAGS WHERE CK$rc_$BOOLEAN__id != 1 AND key_value='@FIELD_ACCESSION@' ORDER BY position

// CELEGANS Queries
LINK_CELEGANS*  SELECT sequence, position AS FIELD_POSITION, CK$antisense_$BOOLEAN__id AS FIELD_ANTISENSE FROM sage.CELEGANSPREDTRANSEG__TAGS__LONG WHERE CK$rc_$BOOLEAN__id != 1 AND key_value='@FIELD_ACCESSION@' ORDER BY position

[LINKAGE_CORE]
LINK_HSUNIGENE*:LongTag:HSUNIGENE    FIELD_TOTAL_ESTS  SELECT COUNT(*) AS FIELD_TOTAL_ESTS FROM HSUNIGENE__DATA__LINKAGES$HSUNIGENE_CLUSTER, HSUNIGENE__DATA WHERE FKSrc__value=id AND FKDest__value='@HSUNIGENE.FIELD_ACCESSION@' AND (CK$end_$CLONEEND__id=3 OR CK$end_$CLONEEND__id=8)
LINK_MMUNIGENE*:LongTag:MMUNIGENE    FIELD_TOTAL_ESTS  SELECT COUNT(*) AS FIELD_TOTAL_ESTS FROM MMUNIGENE__DATA__LINKAGES$MMUNIGENE_CLUSTER, MMUNIGENE__DATA WHERE FKSrc__value=id AND FKDest__value='@MMUNIGENE.FIELD_ACCESSION@' AND (CK$end_$CLONEEND__id=3 OR CK$end_$CLONEEND__id=8)
LINK_AGAUNIGENE*:LongTag:AGAUNIGENE  FIELD_TOTAL_ESTS  SELECT COUNT(*) AS FIELD_TOTAL_ESTS FROM AGAUNIGENE__DATA__LINKAGES$AGAUNIGENE_CLUSTER, AGAUNIGENE__DATA WHERE FKSrc__value=id AND FKDest__value='@AGAUNIGENE.FIELD_ACCESSION@' AND (CK$end_$CLONEEND__id=3 OR CK$end_$CLONEEND__id=8)
LINK_ATUNIGENE*:LongTag:ATUNIGENE    FIELD_TOTAL_ESTS  SELECT COUNT(*) AS FIELD_TOTAL_ESTS FROM ATUNIGENE__DATA__LINKAGES$ATUNIGENE_CLUSTER, ATUNIGENE__DATA WHERE FKSrc__value=id AND FKDest__value='@ATUNIGENE.FIELD_ACCESSION@' AND (CK$end_$CLONEEND__id=3 OR CK$end_$CLONEEND__id=8)
LINK_GMAUNIGENE*:LongTag:GMAUNIGENE  FIELD_TOTAL_ESTS  SELECT COUNT(*) AS FIELD_TOTAL_ESTS FROM GMAUNIGENE__DATA__LINKAGES$GMAUNIGENE_CLUSTER, GMAUNIGENE__DATA WHERE FKSrc__value=id AND FKDest__value='@GMAUNIGENE.FIELD_ACCESSION@' AND (CK$end_$CLONEEND__id=3 OR CK$end_$CLONEEND__id=8)
LINK_HVUNIGENE*:LongTag:HVUNIGENE    FIELD_TOTAL_ESTS  SELECT COUNT(*) AS FIELD_TOTAL_ESTS FROM HVUNIGENE__DATA__LINKAGES$HVUNIGENE_CLUSTER, HVUNIGENE__DATA WHERE FKSrc__value=id AND FKDest__value='@HVUNIGENE.FIELD_ACCESSION@' AND (CK$end_$CLONEEND__id=3 OR CK$end_$CLONEEND__id=8)
LINK_LESUNIGENE*:LongTag:LESUNIGENE  FIELD_TOTAL_ESTS  SELECT COUNT(*) AS FIELD_TOTAL_ESTS FROM LESUNIGENE__DATA__LINKAGES$LESUNIGENE_CLUSTER, LESUNIGENE__DATA WHERE FKSrc__value=id AND FKDest__value='@LESUNIGENE.FIELD_ACCESSION@' AND (CK$end_$CLONEEND__id=3 OR CK$end_$CLONEEND__id=8)
LINK_OLAUNIGENE*:LongTag:OLAUNIGENE  FIELD_TOTAL_ESTS  SELECT COUNT(*) AS FIELD_TOTAL_ESTS FROM OLAUNIGENE__DATA__LINKAGES$OLAUNIGENE_CLUSTER, OLAUNIGENE__DATA WHERE FKSrc__value=id AND FKDest__value='@OLAUNIGENE.FIELD_ACCESSION@' AND (CK$end_$CLONEEND__id=3 OR CK$end_$CLONEEND__id=8)
LINK_OSUNIGENE*:LongTag:OSUNIGENE    FIELD_TOTAL_ESTS  SELECT COUNT(*) AS FIELD_TOTAL_ESTS FROM OSUNIGENE__DATA__LINKAGES$OSUNIGENE_CLUSTER, OSUNIGENE__DATA WHERE FKSrc__value=id AND FKDest__value='@OSUNIGENE.FIELD_ACCESSION@' AND (CK$end_$CLONEEND__id=3 OR CK$end_$CLONEEND__id=8)
LINK_SBIUNIGENE*:LongTag:SBIUNIGENE  FIELD_TOTAL_ESTS  SELECT COUNT(*) AS FIELD_TOTAL_ESTS FROM SBIUNIGENE__DATA__LINKAGES$SBIUNIGENE_CLUSTER, SBIUNIGENE__DATA WHERE FKSrc__value=id AND FKDest__value='@SBIUNIGENE.FIELD_ACCESSION@' AND (CK$end_$CLONEEND__id=3 OR CK$end_$CLONEEND__id=8)
LINK_STUUNIGENE*:LongTag:STUUNIGENE  FIELD_TOTAL_ESTS  SELECT COUNT(*) AS FIELD_TOTAL_ESTS FROM STUUNIGENE__DATA__LINKAGES$STUUNIGENE_CLUSTER, STUUNIGENE__DATA WHERE FKSrc__value=id AND FKDest__value='@STUUNIGENE.FIELD_ACCESSION@' AND (CK$end_$CLONEEND__id=3 OR CK$end_$CLONEEND__id=8)
LINK_TAUNIGENE*:LongTag:TAUNIGENE    FIELD_TOTAL_ESTS  SELECT COUNT(*) AS FIELD_TOTAL_ESTS FROM TAUNIGENE__DATA__LINKAGES$TAUNIGENE_CLUSTER, TAUNIGENE__DATA WHERE FKSrc__value=id AND FKDest__value='@TAUNIGENE.FIELD_ACCESSION@' AND (CK$end_$CLONEEND__id=3 OR CK$end_$CLONEEND__id=8)
LINK_ZMUNIGENE*:LongTag:ZMUNIGENE    FIELD_TOTAL_ESTS  SELECT COUNT(*) AS FIELD_TOTAL_ESTS FROM ZMUNIGENE__DATA__LINKAGES$ZMUNIGENE_CLUSTER, ZMUNIGENE__DATA WHERE FKSrc__value=id AND FKDest__value='@ZMUNIGENE.FIELD_ACCESSION@' AND (CK$end_$CLONEEND__id=3 OR CK$end_$CLONEEND__id=8)

LINK_BTUNIGENE*:LongTag:BTUNIGENE    FIELD_TOTAL_ESTS  SELECT COUNT(*) AS FIELD_TOTAL_ESTS FROM BTUNIGENE__DATA__LINKAGES$BTUNIGENE_CLUSTER, BTUNIGENE__DATA WHERE FKSrc__value=id AND FKDest__value='@BTUNIGENE.FIELD_ACCESSION@' AND (CK$end_$CLONEEND__id=3 OR CK$end_$CLONEEND__id=8)
LINK_CINUNIGENE*:LongTag:CINUNIGENE    FIELD_TOTAL_ESTS  SELECT COUNT(*) AS FIELD_TOTAL_ESTS FROM CINUNIGENE__DATA__LINKAGES$CINUNIGENE_CLUSTER, CINUNIGENE__DATA WHERE FKSrc__value=id AND FKDest__value='@CINUNIGENE.FIELD_ACCESSION@' AND (CK$end_$CLONEEND__id=3 OR CK$end_$CLONEEND__id=8)
LINK_CREUNIGENE*:LongTag:CREUNIGENE    FIELD_TOTAL_ESTS  SELECT COUNT(*) AS FIELD_TOTAL_ESTS FROM CREUNIGENE__DATA__LINKAGES$CREUNIGENE_CLUSTER, CREUNIGENE__DATA WHERE FKSrc__value=id AND FKDest__value='@CREUNIGENE.FIELD_ACCESSION@' AND (CK$end_$CLONEEND__id=3 OR CK$end_$CLONEEND__id=8)
LINK_DDUNIGENE*:LongTag:DDUNIGENE    FIELD_TOTAL_ESTS  SELECT COUNT(*) AS FIELD_TOTAL_ESTS FROM DDUNIGENE__DATA__LINKAGES$DDUNIGENE_CLUSTER, DDUNIGENE__DATA WHERE FKSrc__value=id AND FKDest__value='@DDUNIGENE.FIELD_ACCESSION@' AND (CK$end_$CLONEEND__id=3 OR CK$end_$CLONEEND__id=8)
LINK_DRUNIGENE*:LongTag:DRUNIGENE    FIELD_TOTAL_ESTS  SELECT COUNT(*) AS FIELD_TOTAL_ESTS FROM DRUNIGENE__DATA__LINKAGES$DRUNIGENE_CLUSTER, DRUNIGENE__DATA WHERE FKSrc__value=id AND FKDest__value='@DRUNIGENE.FIELD_ACCESSION@' AND (CK$end_$CLONEEND__id=3 OR CK$end_$CLONEEND__id=8)
LINK_GGAUNIGENE*:LongTag:GGAUNIGENE    FIELD_TOTAL_ESTS  SELECT COUNT(*) AS FIELD_TOTAL_ESTS FROM GGAUNIGENE__DATA__LINKAGES$GGAUNIGENE_CLUSTER, GGAUNIGENE__DATA WHERE FKSrc__value=id AND FKDest__value='@GGAUNIGENE.FIELD_ACCESSION@' AND (CK$end_$CLONEEND__id=3 OR CK$end_$CLONEEND__id=8)
LINK_MTRUNIGENE*:LongTag:MTRUNIGENE    FIELD_TOTAL_ESTS  SELECT COUNT(*) AS FIELD_TOTAL_ESTS FROM MTRUNIGENE__DATA__LINKAGES$MTRUNIGENE_CLUSTER, MTRUNIGENE__DATA WHERE FKSrc__value=id AND FKDest__value='@MTRUNIGENE.FIELD_ACCESSION@' AND (CK$end_$CLONEEND__id=3 OR CK$end_$CLONEEND__id=8)
LINK_RNUNIGENE*:LongTag:RNUNIGENE    FIELD_TOTAL_ESTS  SELECT COUNT(*) AS FIELD_TOTAL_ESTS FROM RNUNIGENE__DATA__LINKAGES$RNUNIGENE_CLUSTER, RNUNIGENE__DATA WHERE FKSrc__value=id AND FKDest__value='@RNUNIGENE.FIELD_ACCESSION@' AND (CK$end_$CLONEEND__id=3 OR CK$end_$CLONEEND__id=8)
LINK_STRUNIGENE*:LongTag:STRUNIGENE    FIELD_TOTAL_ESTS  SELECT COUNT(*) AS FIELD_TOTAL_ESTS FROM STRUNIGENE__DATA__LINKAGES$STRUNIGENE_CLUSTER, STRUNIGENE__DATA WHERE FKSrc__value=id AND FKDest__value='@STRUNIGENE.FIELD_ACCESSION@' AND (CK$end_$CLONEEND__id=3 OR CK$end_$CLONEEND__id=8)
LINK_XLUNIGENE*:LongTag:XLUNIGENE    FIELD_TOTAL_ESTS  SELECT COUNT(*) AS FIELD_TOTAL_ESTS FROM XLUNIGENE__DATA__LINKAGES$XLUNIGENE_CLUSTER, XLUNIGENE__DATA WHERE FKSrc__value=id AND FKDest__value='@XLUNIGENE.FIELD_ACCESSION@' AND (CK$end_$CLONEEND__id=3 OR CK$end_$CLONEEND__id=8)
LINK_DMUNIGENE*:LongTag:DMUNIGENE    FIELD_TOTAL_ESTS  SELECT COUNT(*) AS FIELD_TOTAL_ESTS FROM DMUNIGENE__DATA__LINKAGES$DMUNIGENE_CLUSTER, DMUNIGENE__DATA WHERE FKSrc__value=id AND FKDest__value='@DMUNIGENE.FIELD_ACCESSION@' AND (CK$end_$CLONEEND__id=3 OR CK$end_$CLONEEND__id=8)

