# OMIM
# Online Mendelian Inheritance in Man
[SAMPLE]
accession java.lang.Integer 100050

[TEST_DATUM]
MITOGEN-ACTIVATED PROTEIN KINASE KINASE KINASE 14; MAP3K14


[CORE]
FIELD_ANNOTATION        SELECT disorder FROM OMIM__DATA__$DISORDERS WHERE AK_OMIM__DATA__id='@FIELD_ACCESSION@' AND rank=1
FIELD_ALTERNATE         SELECT disorder FROM OMIM__DATA__$DISORDERS WHERE AK_OMIM__DATA__id='@FIELD_ACCESSION@' AND rank>1
FIELD_FEATURE           SELECT feature FROM OMIM__DATA__$DISORDERS, OMIM__$FEATURES WHERE CK_OMIM__$FEATURES__id=id AND AK_OMIM__DATA__id='@FIELD_ACCESSION@' ORDER BY feature ASC
FIELD_SYNOPSIS          SELECT text FROM OMIM__DATA WHERE id='@FIELD_ACCESSION@'
FIELD_CLINICAL_SYNOPSIS SELECT synopsis FROM OMIM__DATA__$SYNOPSIS WHERE AK_OMIM__DATA__id='@FIELD_ACCESSION@' ORDER BY synopsis

[LINKAGE_TO]
LINK_ALLELIC_VARIANT    SELECT CONCAT(AK_OMIM__DATA__id,'-',variant_id) FROM OMIM__DATA__$ALLELICVARIANTS WHERE AK_OMIM__DATA__id='@FIELD_ACCESSION@' ORDER BY variant_id ASC

[LINKAGE_FROM]
LINK_ALLELIC_VARIANT    SELECT AK_OMIM__DATA__id FROM OMIM__DATA__$ALLELICVARIANTS WHERE CONCAT(AK_OMIM__DATA__id,'-',variant_id)='@FIELD_ACCESSION@' ORDER BY AK_OMIM__DATA__id ASC

[KEYWORD]
FIELD_ACCESSION         SELECT id FROM OMIM__DATA WHERE %id% LIKE '@keyword@'
FIELD_ANNOTATION        SELECT AK_OMIM__DATA__id FROM OMIM__DATA__$DISORDERS WHERE %disorder% LIKE '@keyword@' AND rank=1 ORDER BY AK_OMIM__DATA__id
FIELD_ALTERNATE         SELECT AK_OMIM__DATA__id FROM OMIM__DATA__$DISORDERS WHERE %disorder% LIKE '@keyword@' AND rank>1 ORDER BY AK_OMIM__DATA__id
FIELD_FEATURE           SELECT AK_OMIM__DATA__id FROM OMIM__DATA__$DISORDERS, OMIM__$FEATURES WHERE CK_OMIM__$FEATURES__id=id AND %feature% LIKE '@keyword@' ORDER BY feature ASC
FIELD_CLINICAL_SYNOPSIS SELECT AK_OMIM__DATA__id FROM OMIM__DATA__$SYNOPSIS WHERE %synopsis% LIKE '@keyword@' ORDER BY AK_OMIM__DATA__id
FIELD_SYNOPSIS          SELECT id FROM OMIM__DATA WHERE %text% LIKE '@keyword@' ORDER BY id
